mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Principal.IPrincipal A generic purpose IPrincipal implementation. The generic principal isn't related to the current operating system user and it's rights.
- Constructor
  The identity that this principal represents.
  An array of strings containing every roles associated with the identity.
  Create a generic principal instance with the specified identity and roles.
  The roles array can be null if the identity isn't part of any role.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Security.Principal.IIdentity The identity of the current principal represents. The current identity of the principal. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A string representing the role name to check for membership. Return the membership of the current principal in the specified role. True if the identity is part of the specified role, false otherwise. Roles are case sensitive. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)